// JavaneseConverter
var JavaneseConverter = (function () {

    @include('frontend.aksara.partials.transskema')
    @include('frontend.aksara.partials.transkara')

    return {
        convert: function (latinText) {

            // Set value ke input dulu
            jQuery("#aksara_latin").val(latinText);

            // Jalankan function asli
            JavaneseConvert();

            // Ambil hasil dari field output
            return jQuery("#aksara_jawa_text").val();
        }
    };

})();

// SundaneseConvert
var SundaneseConverter = (function () {
    @include('frontend.aksara.partials.main_sunda_convert')
    return {
        convert: function (latinText) {
            return Latin2Sunda(latinText);
        }
    };
})();

// BugisConverter
var BugisConverter = (function () {
    @include('frontend.aksara.partials.main_bugis_convert')
    return {
        convert: function (latinText) {
            return DoTransliterate(latinText);
        }
    };
})();

// BalineseConvert
var BaliConverter = (function () {
    @include('frontend.aksara.partials.main_bali_convert')
    return {
        convert: function (latinText) {
            return transliterateBalinese(latinText);
        }
    };
})();

// BatakConverter
var BatakConverter = (function () {
    @include('frontend.aksara.partials.main_batak_convert')
    return {
        convert: function (latinText) {
            return transliterateBatak(latinText);
        }
    };
})();

// LampungConverter
var LampungConverter = (function () {
    @include('frontend.aksara.partials.main_lampung_convert')
    return {
        convert: function (latinText) {
            return aksarakan(latinText);
        }
    };
})();

// IncungConverter
var IncungConverter = (function () {
    @include('frontend.aksara.partials.main_incung_convert')
    return {
        convert: function (latinText) {
            return transliterateIncung(latinText);
        }
    };
})();